Cypress.Commands.add('typeIntoUi5Input', { prevSubject: 'element' }, (subject, text, options = {}) => {
    cy.wrap(subject)
        .findShadowInput()
        .type(text, { force: true, ...options });
});
Cypress.Commands.add('clearUi5Input', { prevSubject: 'element' }, (subject, text, options = {}) => {
    cy.wrap(subject)
        .findShadowInput()
        .clear({ force: true, ...options });
});
Cypress.Commands.add('typeIntoUi5InputWithDelay', { prevSubject: 'element' }, (subject, text, delay = 500, options = {}) => {
    cy.wrap(subject)
        .findShadowInput()
        .wait(delay)
        .type(text, { force: true, ...options });
});
Cypress.Commands.add('typeIntoUi5TextArea', { prevSubject: 'element' }, (subject, text, options = {}) => {
    cy.wrap(subject)
        .shadow()
        .find('textarea')
        .type(text, { force: true, ...options });
});
Cypress.Commands.add('toggleUi5Checkbox', { prevSubject: 'element' }, (subject) => {
    cy.wrap(subject).findShadowInput().click({ force: true });
});
Cypress.Commands.add('toggleUi5Switch', { prevSubject: 'element' }, (subject) => {
    cy.wrap(subject).findShadowInput().click({ force: true });
});
Cypress.Commands.add('clickUi5RadioButton', { prevSubject: 'element' }, (subject) => {
    cy.wrap(subject).findShadowInput().click({ force: true });
});
Cypress.Commands.add('closeUi5PopupWithEsc', () => {
    cy.get('body').type('{esc}', { force: true });
});
Cypress.Commands.add('clickUi5ListItemByText', (text) => {
    cy.contains(text).find('li').click({ force: true });
});
Cypress.Commands.add('clickUi5SelectOptionByText', { prevSubject: 'element' }, (subject, text, options = {}) => {
    cy.wrap(subject).then(async ($select) => {
        // @ts-expect-error: cannot set $select to use SelectDomRef
        const domRef = await $select.get(0).getStaticAreaItemDomRef();
        cy.wrap(domRef).contains(text).click(options);
    });
});
Cypress.Commands.add('clickUi5SelectOption', { prevSubject: 'element' }, (subject, options = {}) => {
    cy.wrap(subject).then(($option) => {
        // @ts-expect-error: cannot set $option to use OptionDomRef
        const domRef = $option.get(0).getDomRef();
        cy.wrap(domRef).click(options);
    });
});
export {};
